Merge open-isns from Debian unstable for 22.04

Bug #1946882 reported by Bryce Harrington
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
open-isns (Ubuntu)
Undecided
Unassigned

Bug Description

Upstream: 0.101
Debian: 0.100-3
Ubuntu: 0.100-3ubuntu3

Debian typically updates open-isns every 5 months on average, but it was last updated 20.12 and looks overdue. There is a new upstream version, however, so may be worth going ahead of debian and/or updating it in Debian and syncing it.

### New Debian Changes ###

open-isns (0.100-3) unstable; urgency=medium

  * Add patch from upstream to fix broken server auth initializaiton

 -- Ritesh Raj Sarraf <email address hidden> Mon, 07 Dec 2020 14:03:56 +0530

open-isns (0.100-2) unstable; urgency=medium

  * Fix different signedness integer expression comparison

 -- Ritesh Raj Sarraf <email address hidden> Mon, 23 Nov 2020 22:37:51 +0530

open-isns (0.100-1) unstable; urgency=medium

  * Drop build dependency on dh-systemd (Closes: #958592)
  * New upstream version 0.100
  * Add patch to fix build failure. Patch picked from upstream
  * Overhaul the packaging with OpenSSL

 -- Ritesh Raj Sarraf <email address hidden> Fri, 20 Nov 2020 20:00:00 +0530

open-isns (0.97-3) unstable; urgency=medium

  [ Ritesh Raj Sarraf ]
  * Switch packaging to Salsa (Closes: #899769)

 -- Ritesh Raj Sarraf <email address hidden> Sun, 07 Oct 2018 11:38:11 +0530

open-isns (0.97-2) unstable; urgency=medium

  [ Rui Branco ]
  * Add Portuguese translations of debconf messages (Closes: #858746)

 -- Christian Seiler <email address hidden> Sun, 09 Apr 2017 12:58:39 +0200

open-isns (0.97-1) unstable; urgency=medium

  [ Christian Seiler ]
  * New upstream version 0.97
  * Drop debian/patches as all patches have been applied upstream.

  [ Adriano Rafael Gomes ]
  * Add Brazilian Portuguese translation of debconf messages
    (Closes: #839272)

  [ Chris Leick ]
  * Add German translation of debconf messages
    (Closes: #843765)

 -- Christian Seiler <email address hidden> Wed, 25 Jan 2017 10:37:36 +0100

open-isns (0.96-5) unstable; urgency=medium

  [ Christian Seiler ]
  * debian/patches: replace patches with those accepted upstream
  * debian/tests/auth: avoid race condition after isnsd restart
  * debian/control: bump debhelper dependency now that version 10 is
    released
  * debian/control: use cgit instead of gitweb for Vcs-Browser

  [ Debconf translations updates ]
  * Dutch (Frans Spiesschaert). (Closes: #834627)
  * French (Jean-Pierre Giraud). (Closes: #835097)

 -- Christian Seiler <email address hidden> Sun, 18 Sep 2016 14:11:11 +0200

open-isns (0.96-4) unstable; urgency=medium

  * debian/tests: refactor code, show isnsd status if auth test fails
  * Rename libisns0-udeb to libisns-nocrypto0-udeb.
    The udeb only contains the library required for future open-iscsi
    versions (there is no need to run an iSNS server in a d-i
    environment), which is the variant that's not linked against OpenSSL
    to be compatible with the GPL. In contrast to libisns0, which
    contains both versions of the library (including the OpenSSL-linked
    libisns.so.0), the package name of the udeb should reflect the name
    of the library included.

 -- Christian Seiler <email address hidden> Fri, 05 Aug 2016 19:46:56 +0200

open-isns (0.96-3) unstable; urgency=medium

  * Build a -nocrypto variant that doesn't link against OpenSSL.
    (Required for GPL programs linking against libisns.)

 -- Christian Seiler <email address hidden> Tue, 26 Jul 2016 11:36:52 +0200

open-isns (0.96-2) unstable; urgency=medium

  * debian/*.postrm: ask user whether to delete auth_key etc. on purge
    (Closes: #832344)
  * debian/patches: fix FTBFS on kfreebsd-*
  * debian/patches: fix FTBFS on hurd-i386
  * debian/open-isns-server.postinst: prevent hang on sysvinit systems

 -- Christian Seiler <email address hidden> Sun, 24 Jul 2016 21:57:27 +0200

open-isns (0.96-1) unstable; urgency=low

  * Initial release. (Closes: #799061)

### Old Ubuntu Delta ###

open-isns (0.100-3ubuntu3) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <email address hidden> Thu, 25 Feb 2021 06:58:49 +0100

open-isns (0.100-3ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <email address hidden> Mon, 22 Feb 2021 10:35:43 +0100

open-isns (0.100-3ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - Build without -Werror to fix FTBFS.

 -- Christian Ehrhardt <email address hidden> Tue, 08 Dec 2020 09:29:23 +0100

Bryce Harrington (bryce)
description: updated
Changed in open-isns (Ubuntu):
milestone: none → ubuntu-21.12
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers